Subject: bug#38144: 27.0.50; Gnus buttons not clickable using mouse

From: Robert Pluim <[email-masked]>
Date: Fri, 15 Nov 2019 15:36:56 +0100

>>>>> On Fri, 15 Nov 2019 09:25:52 -0500, Amin Bandali <[email-masked]> said:

    Amin> Lars Ingebrigtsen <[email-masked]> writes:
    Amin> [...]
    >> 
    >> Is this clicking with mouse-1?  It works for me (when clicking on the
    >> signature separator down there, for instance, which was my test case
    >> :-)).  Perhaps there are other buttons that also need fixing?

    Amin> It is with mouse-1 indeed.  I just tried the signature separators and
    Amin> keywords from C-h v gnus-cite-attribution-suffix RET, and those now work
    Amin> as expected.  However, at the very least, clicking attachment buttons,
    Amin> be it in the header section of the email (at the top) or throughout the
    Amin> body (usually at the bottom) still does nothing.  Can you confirm?

And similarly for multipart messages, which show eg 'text/plain' and
'text/html' buttons which highlight when you mouse over them, but you
canʼt click.

Robert